// Icy Cavern Shader

//general textures

textures/icycavern_general/bluetile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/bluetile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
	
}

textures/icycavern_general/greentile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/greentile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/redtile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/redtile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/purpletile_non
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/icycavern_general/purpletile_non.tga
	}
	{
		map textures/icycavern_general/goldenshiny4.tga
		tcgen environment
		blendFunc blend
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/icycavern_general/glass_grey
{
	qer_editorimage "textures/icycavern_general/glass_grey.tga"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceparm slick
	surfaceparm noDamage
	surfaceparm trans
	{
		map $whiteimage
		blendfunc blend
		alphaGen const 0.1
	}
	{
		map "textures/icycavern_general/tint_grey.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/icycavern_general/roof2_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/roof2_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/roofing6:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/roofing6.tga"
	surfaceParm noDamage
}

textures/icycavern_general/floor1_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/floor1_non.tga"
	surfaceParm noDamage
}

textures/icycavern_general/wall1_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/wall1_non.tga"
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/wood1_non:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/icycavern_general/designwall2_sl:q3map
{
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm slick
}

textures/icycavern_general/deisgnwallG_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallG_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallG_text.tga
	q3map_surfaceLight 50
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallG_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallG_shader.tga
        blendFunc add
        rgbGen wave noise 0.75 0.75 0 0.75
    }
}

textures/icycavern_general/deisgnwallB_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallB_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallB_text.tga
	q3map_surfaceLight 50
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallB_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallB_shader.tga
        blendFunc add
        rgbGen wave noise 0.5 0.5 0 0.5
    }
}

textures/icycavern_general/deisgnwallR_text
{
    q3map_lightImage textures/icycavern_general/deisgnwallR_text.tga
    qer_editorImage textures/icycavern_general/deisgnwallR_text.tga
	q3map_surfaceLight 50
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icycavern_general/deisgnwallR_text.tga
        blendFunc filter
    }
    {
        map textures/icycavern_general/deisgnwallR_shader.tga
        blendFunc add
        rgbGen wave noise 0.5 0.5 0 0.5
    }
}

textures/icycavern_general/slidefloor:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm metalsteps
}

textures/icycavern_general/bottom_non:q3map
{
	q3map_lightImage "textures/icycavern_general/grey.tga"
	qer_editorImage "textures/icycavern_general/bottom_non.tga"
	surfaceParm noDamage
}


//fireflys

textures/icycavern_general/firefly
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}


textures/icycavern_general/firefly2
{ 
   surfaceparm nolightmap  
   surfaceparm trans 
   surfaceparm noimpact
   
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate 20
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}


textures/icycavern_general/firefly3
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
   q3map_surfacelight 100
   q3map_backsplash 100 0
   DeformVertexes autosprite   
	cull none
   { 
   	tcmod rotate -15
      map textures/icycavern_general/firefly.tga
      blendfunc add
   }
}

//respawner/telep2porter/txt

textures/icycavern_general/leettxt_nons
{
    qer_editorimage textures/icycavern_general/leettxt_nons
    qer_trans 0.7
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    nopicmip
    noMipMaps
    sort 6
    {
        map textures/icycavern_general/leettxt_nons
        blendFunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
}

textures/icycavern_general/respawner1
{
	qer_editorimage "textures/icycavern_general/respawner1.tga"
	qer_trans 0.7
	surfaceparm detail
	surfaceparm nonsolid
	{
		map "textures/icycavern_general/respawner1.tga"
		tcMod scroll 0.125
	}
}

textures/icycavern_general/water_green
{
	q3map_lightImage "textures/icycavern_general/water_green.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_green.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_green.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_blue
{
	q3map_lightImage "textures/icycavern_general/water_blue.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 25
	q3map_lightSubdivide 256
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_blue.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_blue.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_red
{
	q3map_lightImage "textures/icycavern_general/water_red.jpg"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_red.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_red.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/water_purple
{
	q3map_lightImage "textures/icycavern_general/water_purple.tga"
	qer_trans 0.5
	q3map_globalTexture
	q3map_lightRGB 0 1 1
	q3map_surfaceLight 50
	q3map_lightSubdivide 512
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/icycavern_general/water_purple.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/icycavern_general/water_purple.tga"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}

textures/icycavern_general/lava_intense
{
	qer_editorimage textures/icycavern_general/lava_intense.tga
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm water
	q3map_surfacelight 100
	cull disable	
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
    {
		map textures/icycavern_general/lava_intense.tga
        tcmod scale 0.5 0.5
        tcmod scroll 0 0
        tcMod turb 0.1 .1 0.01 .01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
	}
}

textures/icycavern_general/telep2
{
	deformVertexes autosprite
     	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_lightimage textures/icycavern_general/light1.tga
	q3map_surfacelight 100
     	nomipmaps
	cull none
	{
		clampmap textures/icycavern_general/telep2.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.15
		tcMod rotate 15
		rgbGen wave sawtooth .5 .5 .25 1.15
	}
	{
		clampmap textures/icycavern_general/telep2.tga
		blendfunc gl_one gl_one
		tcMod stretch sawtooth 1 -.9 .5 1.5
		tcMod rotate -60
		rgbGen wave sawtooth .75 .5 .5 1.5
	}
}

textures/icycavern_general/beam1
{
	qer_editorImage "textures/icycavern_general/beam1.tga"
	surfaceParm trans
	surfaceParm noMarks
	deformVertexes autoSprite2
	q3map_surfaceLight 50
	surfaceParm nonSolid
	surfaceParm noLightmap
	qer_trans 0.6
	cull none
	{
		map "textures/icycavern_general/beam1.tga"
		blendFunc add
	}
}

